﻿using System;
using System.Threading;
using TickTockLib;

namespace TickTockConsole
{
    class Program
    {
        static void Main(string[] args)
        {

            TickTock tc = new TickTock(20);
            tc.TickEvent += Tc_TickEvent;
            tc.Start();
            Console.WriteLine("Tick Tock start ticking...");
            tc.Join();
            Console.WriteLine("Tick Tock stop ticking");
            Console.ReadLine();
        }

     
        private static void Tc_TickEvent(object sender, TickTock.TickTockEventArgs e)
        {
            Console.WriteLine("We heard tick no: " + e.TickCounter);
        }
    }
}
