﻿using System;

namespace DelegateExample
{
    class Program
    {
        delegate void SomeDelegate();
        // method consistent with delegate declaration
        static void SomeMethod()
        {
            System.Console.WriteLine("Some Method? After all, it was a delegate!");
        }
        static void Main(string[] args)
        {
            SomeDelegate ddd = new SomeDelegate(SomeMethod);
            // here we delegate the call to the SomeMethod ()
            ddd();
            Console.ReadLine();
        }
    }
}
