﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace TickTockWinForms
{
    public partial class LabelSafe : Label
    {
        public LabelSafe()
        {
            InitializeComponent();
        }
        public new string Text
        {
            get
            {
                return base.Text;
            }
            set
            {
                if (this.InvokeRequired)
                {
                    this.Invoke(new Action(() => { this.Text = value; }));
                }
                else
                {
                    base.Text = value;
                }
            }
        }
    }
}
