﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace TickTockWinForms
{
    static class ThreadSafeCalls
    {
        private delegate void SetLabelDelegate(Label label, string tekst);
        public static void SetLabel(Label label, string txt)
        {
            //check if involving is not safe
            //(out of the thread which create the contrloll)
            if (label.InvokeRequired)
            {
                // it is in another thread so we need call delegate 
                // w want changes in the owner thread sa we tell which 
                label.Invoke(new SetLabelDelegate(SetLabel), new object[] { label, txt });  
            }
            else
            {
                // when it is safe (it is in current thread)
                label.Text = txt;
            }
        }
    }
}
